Bug 520580 - xinitrc/Xclients heuristic wrong
Summary: xinitrc/Xclients heuristic wrong
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-xinit
Version: 18
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-01 08:42 UTC by Karel Volný
Modified: 2018-04-11 08:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 22:38:50 UTC


Attachments (Terms of Use)

Description Karel Volný 2009-09-01 08:42:33 UTC
Description of problem:
Trying to run a vnc session, I got no desktop, just a blank screen with wallpaper. Checking over ssh, I have found that gnome-session is running, and a few other gnomish proceses, but not enough to provide a complete environment. While I'm KDE user I'd expect seeing processes like startkde and kdeinit ...

This works when logging locally my KDE environment is started, so I'd expect the same behaviour if I start my environment using vncserver.

Fooling around a bit, I have found that this comes from /etc/X11/xinit/Xclients script which runs gnome-session if it finds it (and /etc/sysconfig/desktop does not specify anything else). I don't know how the package got onto my system (maybe the time to file another bug against installation defaults), but its mere presence is not enough to run the GNOME environment and so the selection heuristic based on this is wrong.

Not to forget that there are far more environments available in Fedora while the script ignores anything else then GNOME and KDE.

Version-Release number of selected component (if applicable):
xorg-x11-xinit-1.0.9-9.fc11

How reproducible:
always

Steps to Reproduce:
1. install Fedora with KDE, try to reduce GNOME packages as possible
2. install (or don't remove???) gnome-session
3. install tigervnc-server
4. run vncserver to initialize the config
5. kill vncserver
6. edit ~/.vnc/xstartup, uncomment the lines to get "normal desktop" as per instructions within the file
7. run vncserver
8. connect to your vnc session from another computer
  
Actual results:
you see only the wallpaper within the vncclient window, you can't do anything

Expected results:
you get your normal desktop within vncclient, you are ready to work with it

Additional info:

Comment 1 Matěj Cepl 2009-11-05 18:37:17 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 2 Karel Volný 2009-11-06 13:22:45 UTC
still valid - the /etc/X11/xinit/Xclients didn't change in any way, there is no newer version than xorg-x11-xinit-1.0.9-9.fc11.x86_64 available in updates-testing

Comment 3 Bug Zapper 2010-04-28 10:07:03 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-06-28 14:25:53 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Karel Volný 2011-12-02 13:25:00 UTC
this bug is still valid

though there are some changes ...

the reproducer steps 4 to 6 are in vain, as there's nothing to uncomment now, getting the normal desktop is default

as for the actual results, instead of wallpaper you now get an error message box saying:

Failed to load session "gnome".

with one button "log out" - after clicking it the box disappears and you are left with blank screen

if gnome-session is not installed, you get normal KDE startup

xorg-x11-xinit-1.3.1-1.fc16.x86_64
gnome-session-3.2.1-2.fc16.x86_64

Comment 6 Fedora End Of Life 2013-02-14 02:47:11 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Karel Volný 2013-02-14 14:37:06 UTC
still valid in F18 ...

Comment 8 Fedora End Of Life 2013-12-21 14:51:53 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2014-02-05 22:38:50 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.